Форум сообщества Runtu.org
Апрель 09, 2020, 17:14:53 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Новости:
   Начало   Помощь Поиск Войти Регистрация  
Страниц: « 1 2 3  Все   Вниз
  Печать  
Автор Тема: Доступ к сетевым ресурсам Windows в Runtu XFCE 14.04.2 x64  (Прочитано 10333 раз)
0 Пользователей и 1 Гость смотрят эту тему.
totewekotiara
Новичок
**
Offline Offline

Сообщений: 41


« Ответ #30 : Август 02, 2016, 04:15:00 »

Я так понял что HOLD не сработал... и надо перед ним добавить слово install или forbid-version ... я правильно понял?

    Команда hold не требует указания версий пакетов, то есть указываете только их названия (смотрите отредактированную команду).

Выполнил в терминале исправленное и получил такой ответ:

Спойлер  скрыт:
Код:
sudo aptitude hold libsmbclient libwbclient0 samba-common samba-libs samba-common-bin winbind python-samba samba-vfs-modules samba samba-dsdb-modules libldb1 python-ldb
[sudo] password for kot:
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 12 пакетов не обновлено.
Необходимо получить 0 Б архивов. После распаковки 0 Б будет занято.
localepurge: Disk space freed in /usr/share/locale: 0 KiB
localepurge: Disk space freed in /usr/share/man: 0 KiB
localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
localepurge: Disk space freed in /usr/share/omf: 0 KiB

Total disk space freed by localepurge: 0 KiB

                  

Я так понял что ошибок нет и все получилось, а как проверить что на этих пакеты действует HOLD ? И на всякий случай как убрать действие HOLD на отдельные пакеты ?

п.с.... рискну ответить сам себе, почитал MAN APTITUDE и вот что нашел
нашел команду UNHOLD - я правильно понял что КОД:

Код:
sudo aptitude unhold samba

отменит команду HOLD для пакета SAMBA и этот пакет сможет и дальше обновлятся до последней актуальной версии в случае когда я буду запускать "Обновление системы" ?

далее... о том как узнать включен ли HOLD или нет, у aptitude есть параметр show я его применил для пакета samba  и в ответе терминала увидел Состояние: установлен [зафиксирован] -я так понял слово ЗАФИКСИРОВАН и означает что работает HOLD... на других пакетах которые не были заHOLDены в Состояние: установлен , слово зафиксирован отсутствует, соответственно в этом случае HOLD не включен и не работает... я правильно все понял или нет, поправте если что, я только учусь... Улыбающийся
« Последнее редактирование: Август 02, 2016, 04:44:08 от totewekotiara » Записан
totewekotiara
Новичок
**
Offline Offline

Сообщений: 41


« Ответ #31 : Январь 30, 2017, 07:34:19 »

Снова всем Здравствуйте! на дворе 2017, а я в третий раз наступаю на одни и те же грабли... ОБНОВИЛ свою Рунту на днях... так как я помню что применял команду HOLD для всех тех старых вариантов пакетов для SAMBA - то я был уверен, что ОБНОВЛЕНИЕ сетку мне не сломает... КАК ЖЕ Я ОШИБАЛСЯ Улыбающийся))))))) после обновления сеть SAMBA снова пропала, от слова - СОВСЕМ ПОЛНОСТЬЮ... не было доступа до этого Ноута с Рунту 14.04 с ЛЮБОГО компа из сети, ни с Винды старой ни с новой, ни с ТАКОЙ ЖЕ ТОЧНОСТЬЮ РУНТЫ ни с чего не было доступа - испарился Ноут с Рунту 14.04 после обновления из общей одноранговой простой домашней сетки... Улыбающийся Спасибо что эта тема на форуме осталась живой... быстро все вспомнил и применил как и раньше нужные команды, что бы вернуть более старые версии нужных пакетов для работы SAMBA а именно такие:

Код:
sudo aptitude install libsmbclient=2:4.1.6+dfsg-1ubuntu2 libwbclient0=2:4.1.6+dfsg-1ubuntu2 samba-common=2:4.1.6+dfsg-1ubuntu2 samba-libs=2:4.1.6+dfsg-1ubuntu2  samba-common-bin=2:4.1.6+dfsg-1ubuntu2 winbind=2:4.1.6+dfsg-1ubuntu2 python-samba=2:4.1.6+dfsg-1ubuntu2 samba-vfs-modules=2:4.1.6+dfsg-1ubuntu2  samba=2:4.1.6+dfsg-1ubuntu2 samba-dsdb-modules=2:4.1.6+dfsg-1ubuntu2 libldb1=1:1.1.16-1 python-ldb=1:1.1.16-1

процесс прошел успешно, в окне терминала я наблюдал предупреждения что будет установлен более СТАРЫЙ пакет, но кто-ж нас остановит если мы захотим Улыбающийся

далее как всегда выполнил HOLD (что бы в будущем был установлен ЗАПРЕТ на обновление выше пере-установленных пакетов) таким образом:

Код:
sudo aptitude hold libsmbclient libwbclient0 samba-common samba-libs samba-common-bin winbind python-samba samba-vfs-modules samba samba-dsdb-modules libldb1 python-ldb

Проверяем Фиксацию пакета:

Код:
sudo aptitude show libsmbclient

в ответе видим такие строчки:

Состояние: установлен [зафиксирован]

значит HOLD сработал как надо для данного пакета, на всякий случай проверяем и остальные пакеты, все не стал, но эти точно глянул лично сам: samba, samba-common, samba-libs, winbind, libldb1, samba-vfs-modules и т.д. везде в строке ответа Состояния есть надпись = установлен [зафиксирован]. Значит НЕ должны будут в будущем эти пакеты попадать под обновление, но в любом случае решение проблемы есть, и хорошо. Плохо то что такой СЕРЬЕЗНЫЙ косяк до сих пор ни кем не исправлен, СЕТЬ НЕ ДОЛЖНА пропадать после ЛЮБОГО обновления - это очень очень большой косяк, может сломать любую идеальную работу когда все настроено и УЖЕ РАБОТАЕТ. Всем добра, мира, удачи и поменьше глюков и проблем, особенно там где их быть ну никак не должно.  Улыбающийся
Записан
Olej
Новичок
**
Offline Offline

Сообщений: 88


« Ответ #32 : Февраль 26, 2017, 13:17:07 »

Значит НЕ должны будут в будущем эти пакеты попадать под обновление, но в любом случае решение проблемы есть, и хорошо. Плохо то что такой СЕРЬЕЗНЫЙ косяк до сих пор ни кем не исправлен, СЕТЬ НЕ ДОЛЖНА пропадать после ЛЮБОГО обновления - это очень очень большой косяк, может сломать любую идеальную работу когда все настроено и УЖЕ РАБОТАЕТ.
А этот "серьёзный косяк" возникает по той причине, что Microsoft от версии к версии крутит протокол SMB (сейчас более расширенный вариант его CIFS) как хочет, и не придерживается никаких стандартов, прописанных в RFC. А все остальные нормальны люди потом и вослед вынуждены под их прихоти подстраиваться.

Так что высказанное сожаление - оно не по адресу ... как говорил Остап Бендер: "обращайтесь в ... техподдержку Microsoft" Смеющийся
Записан
totewekotiara
Новичок
**
Offline Offline

Сообщений: 41


« Ответ #33 : Март 05, 2017, 14:28:44 »

Значит НЕ должны будут в будущем эти пакеты попадать под обновление, но в любом случае решение проблемы есть, и хорошо. Плохо то что такой СЕРЬЕЗНЫЙ косяк до сих пор ни кем не исправлен, СЕТЬ НЕ ДОЛЖНА пропадать после ЛЮБОГО обновления - это очень очень большой косяк, может сломать любую идеальную работу когда все настроено и УЖЕ РАБОТАЕТ.
А этот "серьёзный косяк" возникает по той причине, что Microsoft от версии к версии крутит протокол SMB (сейчас более расширенный вариант его CIFS) как хочет, и не придерживается никаких стандартов, прописанных в RFC. А все остальные нормальны люди потом и вослед вынуждены под их прихоти подстраиваться.

Так что высказанное сожаление - оно не по адресу ... как говорил Остап Бендер: "обращайтесь в ... техподдержку Microsoft" Смеющийся

Если бы было все так просто. Но я с ПК где установлена Runtu 16.04 НЕ ИМЕЮ ДОСТУПА до Ноутбука с Runtu 14.04 то есть один Линукс не видит чуть более старого Линукса и тут как то Мелгомягких даже близко нет. Проблемы начались когда после версии SAMBA 2:4.1.6 появились более новые версии Samba и вот они между собой как то не очень, а точнее НИКАК покрайней мере у меня, причем настройки ПРОСТЕЙШИЕ хоть с паролями хоть без, сетка одноранговая простейшая - и все равно нет доступа хоть с ноута до ПК хоть наоборт... Вот такая петрушка. И я пока не победил это.

Кстати тут на днях выяснил что команда HOLD у Install для пакетов - игнорируется Синаптиком, ему вообще пофигу ФИКСИРОВАЛСЯ пакет или нет, при выборе "Обновление Системы" - любые ФИКСИРОВАННЫЕ пакеты все равно обновляются, и получается что HOLD бесполезен.
« Последнее редактирование: Март 05, 2017, 14:31:44 от totewekotiara » Записан
Страниц: « 1 2 3  Все   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006, Simple Machines Valid XHTML 1.0! Valid CSS!